Package org.bukkit.plugin

# Class RegisteredServiceProvider<T>

java.lang.Object
org.bukkit.plugin.RegisteredServiceProvider<T>

Type Parameters:
  `T` - Service

All Implemented Interfaces:
  `Comparable<RegisteredServiceProvider<?>>`

public class RegisteredServiceProvider<T> extends Object implements Comparable<RegisteredServiceProvider<?>>
A registered service provider.

## Constructor Summary

Constructors
Constructor
Description
`RegisteredServiceProvider(@NotNull Class<T> service, T provider, @NotNull ServicePriority priority, @NotNull Plugin plugin)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(@NotNull RegisteredServiceProvider<?> other)`
`@NotNull Plugin`
`getPlugin()`
`@NotNull ServicePriority`
`getPriority()`
`T`
`getProvider()`
`@NotNull Class<T>`
`getService()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RegisteredServiceProvider

public RegisteredServiceProvider(@NotNull @NotNull Class<T> service, @NotNull T provider, @NotNull @NotNull ServicePriority priority, @NotNull @NotNull Plugin plugin)

## Method Details

### getService

@NotNull public @NotNull Class<T> getService()

### getPlugin

@NotNull public @NotNull Plugin getPlugin()

### getProvider

@NotNull public T getProvider()

### getPriority

@NotNull public @NotNull ServicePriority getPriority()

### compareTo

public int compareTo(@NotNull @NotNull RegisteredServiceProvider<?> other)

Specified by:
  `compareTo` in interface `Comparable<T>`